%define oname   sqlite3

Name:       ruby-%{oname}
Version:    1.3.11
Release:    %mkrel 1
Summary:    Allows Ruby programs to interface with the SQLite3 database engine
Group:      Development/Ruby
License:    BSD-like
URL:        http://github.com/luislavena/sqlite3-ruby
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: sqlite3-devel >= 3.6.16
# Add provides for dbd-sqlite3
Provides:   rubygem(sqlite3-ruby) = %{version}-%{release}
Requires: %{_lib}sqlite3_0 >= 3.6.16

%description
This module allows Ruby programs to interface with the SQLite3
database engine (http://www.sqlite.org).  You must have the
SQLite engine installed in order to build this module.
Note that this module is NOT compatible with SQLite 2.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sun Dec 20 2015 pterjan <pterjan> 1.3.11-1.mga6
+ Revision: 912565
- Update to 1.3.11

  + spuhler <spuhler>
    - rebuild with new libruby

* Tue Oct 13 2015 pterjan <pterjan> 1.3.10-1.mga6
+ Revision: 890540
- Update to 1.3.10

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-6.mga5
+ Revision: 741689
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.8-5.mga5
+ Revision: 688967
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.3.8-4.mga4
+ Revision: 562503
- Fix gem macros

* Thu Dec 19 2013 pterjan <pterjan> 1.3.8-3.mga4
+ Revision: 558888
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.3.8-2.mga4
+ Revision: 538254
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 1.3.8-1.mga4
+ Revision: 489095
- new version 1.3.8

* Sat Sep 28 2013 fwang <fwang> 1.3.6-4.mga4
+ Revision: 488219
- update file list
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.3.6-3.mga3
+ Revision: 396514
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.6-2.mga3
+ Revision: 381513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.3.6-1.mga3
+ Revision: 312472
- new version 1.3.6

* Wed Feb 09 2011 shikamaru <shikamaru> 1.3.3-2.mga1
+ Revision: 49400
- add provides to please dbd-sqlite3

* Fri Jan 28 2011 shikamaru <shikamaru> 1.3.3-1.mga1
+ Revision: 43040
- imported package ruby-sqlite3


* Fri Jan 28 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.3.3-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- Bump to new version 1.3.3

* Sat Dec 04 2010 Rémy Clouard <shikamaru@mandriva.org> 1.2.2-4mdv2011.0
+ Revision: 609439
- add Provides for after_commit

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 1.2.2-3mdv2010.0
+ Revision: 433552
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.2.2-2mdv2009.0
+ Revision: 269236
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 214635
- new version 1.2.2

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.2.1-1mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.1-1mdv2008.0
+ Revision: 17011
- 1.2.1
- move tests to %%check
- disable tests, they need very old flexmock

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.1.0-3mdv2008.0
+ Revision: 16965
- BuildRequires swig
- Use mkrel
- use Development/Ruby group
- Use std macros


* Mon Jul 11 2005 Pascal Terjan <pterjan@mandriva.org> 1.1.0-2mdk
- fix BuildRequires

* Wed May 11 2005 Pascal Terjan <pterjan@mandriva.org> 1.1.0-1mdk
- first release

